#include <iostream>
#include <print>

// Variablen definieren
double startBetrag;
decltype(startBetrag) zinssatz;
decltype(startBetrag) aktBetrag;

// main() Funktion
int main()
{
    // Startbetrag und Zinssatz einlesen
    std::print("Wie hoch ist die einmalige Einlage? ");
    std::cin >> startBetrag;
    std::print("Und wie hoch ist die Rendite (%)? ");
    std::cin >> zinssatz;

    // Aktuellen Betrag auf Startbetrag setzen
    aktBetrag = startBetrag;
    // Zinsmultiplikator berechnen
    zinssatz = zinssatz / 100.0 + 1.0;
    // Anzahl der Jahre initialisieren
    auto jahr = 1;

    // Schleife so lange durchlaufen bis entweder 10 Jahre abgelaufen
    // sind oder der Startbetrag sich verdoppelt hat
    while ((jahr <= 10) && (aktBetrag < startBetrag * 2.0))
    {
        // Aktuellen Betrag berechnen
        aktBetrag = aktBetrag * zinssatz;
        // Akt. Jahr ausgeben und gleichzeitig erhöhen
        std::println("Am Ende des {}. Jahr: {:.2f}", jahr, aktBetrag);
        jahr++;
    }
}
